<div class="ui" style="margin: 5rem 5rem 5rem 5rem">
  <div class="ui text left aligned dividing header">
    <h1>Catalogo de libros</h1>
  </div>

  <div class="ui one column stackable grid">
    <div class="column">
      <div class="ui form">
        <%= form_tag public_library_path, method: :get do %>
          <div class="ui two column stackable grid">
            <div class="twelve wide column">
              <%= text_field_tag :search, nil, placeholder: params[:search].present? ? "Busqueda realizada: #{params[:search]}" : 'Buscar libro...' %>
            </div>
            <div class="four wide right aligned column">
              <div class="ui fluid buttons">
                <%= link_to 'Borrar busqueda', public_library_path, class: 'ui negative button' %>
                <div class="or" data-text="o"></div>
                <%= submit_tag 'Buscar', class: 'ui blue button' %>
              </div>
            </div>
          </div>
        <% end %>
      </div>
    </div>
  </div>

  <div class="ui four column stackable grid">
    <% @books.each do |book| %>
      <div class="column" >
        <div class="ui center aligned fluid card" style="box-shadow: none; !important;">
          <% if book.image.attached? %>
            <%= image_tag book.image, size: '200x225', class: 'ui centered image' %>
          <% else %>
            <img class="ui center aligned large image" src="https://semantic-ui.com/images/wireframe/image.png" >
          <% end %>
          <div class="content">
            <a class="header" href="<%= public_library_detail_path(id: book.id) %>" data-remote="true">
              <%= book.title.present? ? book.title.titleize : 'Por asignar titulo' %>
            </a>
            <div class="description">
              <strong>Descriptor:</strong> <%= book.category.present? ? book.category.name.humanize : 'Por asignar' %><br>
              <strong>Autor principal:</strong> <%= book.main_author.present? ? book.main_author.full_name.titleize : 'Por asignar' %>
            </div>
          </div>
        </div>
      </div>
    <% end %>
  </div>


  <div class="ui one column stackable grid">
    <div class="column">
      <div class="ui right floated pagination menu">
        <%= pagy_semantic_nav(@pagy).html_safe %>
      </div>
    </div>
  </div>
</div>

<div class="modal" id="modal"></div>
